/*
 *  Gtk-Parted - a front-end for libparted
 *  Copyright (C) 2000, 2001  Damien Genet
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef DIALOGOP_PRIVATE_H
#define DIALOGOP_PRIVATE_H

#include <parted/parted.h>
#include <gtk/gtk.h>

#include "gtk-parted.h"
#include "ctreeParted.h"
#include "dialogOp.h"

/*
 * could check casting but need class definiton
 * maybe we would need it later
 */
#define GPED_OP_INFO(obj)		((gpedOpInfo *) obj)


struct _gpedOperationInfo
{
	gpedInfo		*info;
	
	PedPartition		*part;
	PedDisk			*disk;
	
	GtkCombo		*comboSystemType;
	GtkCheckButton		*checkbuttonFlags[PED_PARTITION_LAST_FLAG];
	GtkSpinButton		*spinbuttonSize;
	GtkLabel		*labelStart;
	GtkSpinButton		*spinbuttonStart;
	GtkSpinButton		*spinbuttonEnd;
	GtkLabel		*labelMount;
	GtkEntry		*entryMount;
};

struct _gpedAddInfo
{
	gpedOpInfo		 op_info;

	PedPartitionType	 type;
	GtkCheckButton		*checkbuttonCreateFS;
};

struct _gpedPropertiesInfo
{
	gpedOpInfo		 op_info;

	const PedFileSystemType	*saved_fs_type;
	GtkCheckButton		*checkbuttonResizeCreateFS;
};

#endif /* DIALOGOP_PRIVATE_H */
